std::pmr::pool_options Struct Reference

## Public Attributes

size_t | largest_required_pool_block
size_t | max_blocks_per_chunk

## Detailed Description

Parameters for tuning a pool resource's behaviour.

Definition at line 385 of file memory_resource.

## Member Data Documentation

## max_blocks_per_chunk

size_t std::pmr::pool_options::max_blocks_per_chunk

Upper limit on number of blocks in a chunk.

A lower value prevents allocating huge chunks that could remain mostly unused, but means pools will need to replenished more frequently.

Definition at line 392 of file memory_resource.

The documentation for this struct was generated from the following file:

- memory_resource